unit EditProp;

interface

uses SysUtils, Classes, Graphics, Controls, Forms, TypInfo, Dialogs, Dsgnintf;

type

	TEdOpenDBF = class(TStringProperty)	//TPropertyEditor
   public
		{ Public declaration }
       procedure Edit; override;
       function GetAttributes: TPropertyAttributes; override;
   end;

	TEdOpenInd = class(TStringProperty)	//TPropertyEditor
   public
		{ Public declaration }
       procedure Edit; override;
       function GetAttributes: TPropertyAttributes; override;
   end;

implementation

//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
procedure TEdOpenDBF.Edit;
var
  oFF: TOpenDialog;
begin
  oFF := TOpenDialog.Create(Application);
  oFF.FileName := GetValue;
  oFF.Filter := 'All files (*.*)|*.*| DBF files (*.dbf)|*.DBF';
  oFF.Options := [ofFileMustExist];
  if oFF.Execute then Value := oFF.FileName;
end;

//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
function TEdOpenDBF.GetAttributes: TPropertyAttributes;
begin
	Result := [paDialog];
end;

{ TEdOpenInd }

procedure TEdOpenInd.Edit;
var
  oFF: TOpenDialog;
begin
  oFF := TOpenDialog.Create(Application);
  oFF.FileName := GetValue;
  oFF.Filter := 'All files (*.*)|*.*| NTX files (*.ntx)|*.NTX| NDX files (*.ndx)|*.NDX| MDX files (*.mdx)|*.MDX| CDX files (*.cdx)|*.CDX';
  oFF.Options := [ofFileMustExist];
  if oFF.Execute then Value := oFF.FileName;
end;

function TEdOpenInd.GetAttributes: TPropertyAttributes;
begin
  Result := [paDialog];
end;

end.
